# $Revision: 1.4 $, $Date: 2011/03/01 06:28:36 $
%include	/usr/lib/rpm/macros.php
%define		_class		PHP
%define		_subclass	ArrayOf
%define		_status		alpha
%define		_pearname	PHP_ArrayOf
Summary:	%{_pearname} - Abstract class package to create arrays of specific element types
Summary(pl.UTF-8):	%{_pearname} - abstrakcyjna klasa do tworzenia tablic z elementów określonego typu
Name:		php-pear-%{_pearname}
Version:	0.2.1
Release:	2
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d2b2145c2cfe1a78ad629bc8f3d150b6
URL:		http://pear.php.net/package/PHP_ArrayOf/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-PHP_ArrayOf-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows to create classes similar to ArrayObject with additional
element type or index constraints.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten pozwala na tworzenie klas zbliżonych do ArrayObject z
dodatkowymi ograniczeniami dotyczącymi typu elementu lub indeksu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/PHP_ArrayOf/docs/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/ArrayOf
%{php_pear_dir}/PHP/ArrayOf.php
%{php_pear_dir}/PHP/ArrayOfInterface.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_ArrayOf.spec,v $
Revision 1.4  2011/03/01 06:28:36  glen
- release 2

Revision 1.3  2011/01/23 01:03:21  sparky
- dropped -tests subpackage

Revision 1.2  2010/08/22 08:51:22  glen
- ensure rpmbuild macros present

Revision 1.1  2008/05/17 19:52:10  adamg
- new

